/*
		CSS Syntax

	selector {
		(declaration)
		property: value;
		property: value;
	}
	Declarations end in semi-colon. CSS Declarations allows to manipulate the property of the selected element/elements.

	A group of declaration for selected elements are called a rule-set and is wrapped in {}

	selectors selects elements to be designed or styled by a rule set.

	* is a universal selector - allows us to select and apply CSS stylings on all elements.

	font-family - allows us to modify or determine font selected. Its values are the available default CSS fonts and a fallback font.

	fallback font is used as a backup if the indicated font is not available. (e.g. monospace)

	font-size allows us to change the size of the text.
*/


* {
	font-family:  "Courier New", monospace;
	font-size:  20px;
	
}

/*
	ID selector
	To be able to select an element with a unique id, first add the # and the name of the id.

	#idName {
		property: value;
	}

	letter-spacing allows us to add space between characters in a text.

	bg color allows modify bg

	Syntax: 

	tag/type {
		property: value;
	}
*/

#zuitt-motto {
	letter-spacing:  5px;
}

body {
	background-color: skyblue;

}

h1 {
	font-size: 2rem;
	text-align:  center;
}

/*
	rem is a measurement in css and it stands for root element.

	Measurement is based on the font-size of the root element.

	The default font size is 16px.

	However, due to our univ selector the font-size of all elements and including the root-element is 20px

	2rem = 40px

	rem as a measurement is mostly used for font-size. However, it can also be used as measurement for other CSS properties.
*/

/* Class selector

	Allows us to select and style elements with the same class

	.className {
		property: value;
	}
*/

.offering-item {
	text-transform:  uppercase;
	
}

/*
	Attribute Selector 

	Allows us to select elements with the same tag and attribute

	tag[attribute]
*/

input[required] {
	border-width:  2px;
	border-style:  solid;
	border-color: navy;
	/*So our input elements do not overflow from the line, we will make it size 90% of its parent element.*/
	width: 90%;
}

/*
selector priority:

	id - highest
	class 
	type
	universal - lowest

The more specific the selector is, the more priority it is given. 

Selector Combinator - to make selectors more specific & to be able to select elements more specifcially.

Adjacent Sibling Combinator - allows us to select the adjacent sibling of the first selector. An adjacent sibling is the element nearest to first sibling and must come AFTER the first sibling.

firstSibling + adjacentSibling {
	property:  value;
}

height and width properties will allow us to resize the height and width of an element based on a measurement.

border-radius allows us to round the corners of an element

We can also add specific colors to properties that can change colors using a hex decimal which consists of a pound sign (#) and alphanumeric characters and this may pertain to a particular color.
*/

h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*
	Descendant Combinator
	-allow to select particular elements that are a descendant of the first element/selector

	element descendantElement{
	
	}
*/

#bootcamp-learning-list li{
	color: #075966;
}

/*
	General Sibling Combinator

	Allows us to select the particular siblings that come after the first selector.

	element ~ generalSiblingElements {
	
	+ -> directly after element
	~ -> after element

	}

	text-decoration changes lines that are included in a text (overline,underline or strikethrough). By default, anchor tags have an underline
*/

h2 ~ a {
	text-decoration: none;
}

/*
	Child Selector
	-allow to select a particular child of the presenting selectors/selector

	parentSelector > childSelector {
	
		property:  value;
	}
*/

section > form > label {
	color: rgb(0,0,128);
}

html {
	scroll-behavior:  smooth;
}

nav {
	background-color: white;
}
/* 
	selector: hover pseudo class
	change the style of an element when hovered over.
 */

a:hover {
	background-color: #b4d6de;
}

nav > div {
	/* display: inline-block will allow us to change the display of an element. This div is now displayed as inline and therefore is beside of its sibling instead of on the next line */
	display: inline-block;
	/*float allows us to change the horizontal alignment of an element and float our element to the leftmost or rightmost side of its parents container. */
	float:  right;
}

form {
	text-align: center;
	background-color: white;
	/*Add border with a shortened way
		border: thickness style color;
	*/
	border: 2px solid black;
	height: 185px;
	/*vw is a css measurement which means viewport width. It allows us to add a measurement based on the percentage of the viewport's width. Viewport is the screen we are looking our page at.
	Viewport is the screen we are looking our page at so at mobile devices it changes to (size will be less in mobile)*/
	width: 25vw;
	/*
		position property will allow us to determine the position or positioning of an element based on a criteria.

		relative value to position property allows us to move our element relative to its original position in our document.

		left property allows us to add measurement on the left side of our element.The value with % is based on the width of our parent element. 
		We moved our form 37.25% from the left of our parent element.
	*/
	position: relative;
	left: 37.25%;
}

section {
	/*vh is the viewport height. vw is a measurement based on the height of our viewport or the visible screen we can see the page from. */
	height: 100vh;
	text-align: center;
}

h2 {
	font-size: 1.5rem;
}

ol {
	/*list style type property will allow us to change the list style of our li*/
	list-style-type: none;
}

button {
	background-color: #cf0053;
	color: white;
	border: 0;
	border-radius: 15px;
}